RemoteProcessGroupResource
RESTful endpoint for managing a Remote group.
The following resources are applicable:
- /controller/process-groups/{process-group-id}/remote-process-groups
- /controller/process-groups/{process-group-id}/remote-process-groups/{id}
- /controller/process-groups/{process-group-id}/remote-process-groups/{id}/input-ports/{port-id}
- /controller/process-groups/{process-group-id}/remote-process-groups/{id}/output-ports/{port-id}
- /controller/process-groups/{process-group-id}/remote-process-groups/{id}/status/history
/controller/process-groups/{process-group-id}/remote-process-groups
Mount Point: /rest/controller/process-groups/{process-group-id}/remote-process-groups
The following operations are supported on this resource:
GET
Retrieves all the of remote process groups in this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| verbose | Optional verbose flag that defaults to false. If the verbose flag is set to true remote group contents (ports) will be included. | query | false |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | remoteProcessGroupsEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
POST
Creates a new remote process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| uri | The uri to the remote process group that is being referenced. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | remoteProcessGroupEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
POST
Creates a new remote process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| process-group-id | (no documentation provided) | path |
Request Body
| element: | remoteProcessGroupEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
Response Body
| element: | remoteProcessGroupEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
/controller/process-groups/{process-group-id}/remote-process-groups/{id}
Mount Point: /rest/controller/process-groups/{process-group-id}/remote-process-groups/{id}
The following operations are supported on this resource:
GET
Retrieves the specified remote process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| verbose | Optional verbose flag that defaults to false. If the verbose flag is set to true remote group contents (ports) will be included. | query | false |
| id | The id of the remote process group to retrieve | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | remoteProcessGroupEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
DELETE
Removes the specified remote process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | query | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the remote process group to be removed. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | remoteProcessGroupEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
PUT
Updates the specified remote process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the remote process group to update. | path | |
| transmitting | Whether this remote process group is transmitting. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| communicationsTimeout | The timeout to use when communication with this remote process group. | form | |
| yieldDuration | The yield duration | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | remoteProcessGroupEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
PUT
Updates the specified remote process group.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the remote process group to update. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | remoteProcessGroupEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
Response Body
| element: | remoteProcessGroupEntity |
| media types: | application/xml application/json |
A remoteProcessGroupEntity.
/controller/process-groups/{process-group-id}/remote-process-groups/{id}/input-ports/{port-id}
Mount Point: /rest/controller/process-groups/{process-group-id}/remote-process-groups/{id}/input-ports/{port-id}
PUT
Updates the specified remote process group input port.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the remote process group to update. | path | |
| port-id | The id of the input port to update. | path | |
| transmitting | Whether or not this port is transmitting. | form | |
| compressed | Whether or not this port should compress. | form | |
| concurrentlySchedulableTaskCount | The number of concurrent tasks that should be supported | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | remoteProcessGroupPortEntity |
| media types: | application/xml application/json |
A remoteProcessGroupPortEntity
PUT
Updates the specified remote process group input port.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the remote process group to update. | path | |
| port-id | The id of the input port to update. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | remoteProcessGroupPortEntity |
| media types: | application/xml application/json |
The remoteProcessGroupPortEntity
Response Body
| element: | remoteProcessGroupPortEntity |
| media types: | application/xml application/json |
A remoteProcessGroupPortEntity
/controller/process-groups/{process-group-id}/remote-process-groups/{id}/output-ports/{port-id}
Mount Point: /rest/controller/process-groups/{process-group-id}/remote-process-groups/{id}/output-ports/{port-id}
PUT
Updates the specified remote process group output port.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the remote process group to update. | path | |
| port-id | The id of the output port to update. | path | |
| transmitting | Whether or not this port is transmitting. | form | |
| compressed | Whether or not this port should compress. | form | |
| concurrentlySchedulableTaskCount | The number of concurrent tasks that should be supported | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | remoteProcessGroupPortEntity |
| media types: | application/xml application/json |
A remoteProcessGroupPortEntity
PUT
Updates the specified remote process group output port.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the remote process group to update. | path | |
| port-id | The id of the output port to update. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | remoteProcessGroupPortEntity |
| media types: | application/xml application/json |
The remoteProcessGroupPortEntity
Response Body
| element: | remoteProcessGroupPortEntity |
| media types: | application/xml application/json |
A remoteProcessGroupPortEntity
/controller/process-groups/{process-group-id}/remote-process-groups/{id}/status/history
Mount Point: /rest/controller/process-groups/{process-group-id}/remote-process-groups/{id}/status/history
GET
Retrieves the specified remote process groups status history.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the remote process group to retrieve the status fow. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | statusHistoryEntity |
| media types: | application/xml application/json |
A statusHistoryEntity.